Update the fields of a working file. Send only the fields to change. You cannot change id, created_at, updated_at. Dates use the ISO 8601 format. The validation_status must be validated, rejected or neutral. You must be an administrator, or a manager of the project. Other members of the project can change it if they are an assignee of the task or the creator of the entity. A supervisor of the project can also change it if they have no department, or if the task type is in one of their departments. A client of the project cannot use this route.
PUT
/data/working-files/{instance_id}
curl
curl -X PUT "http://api.example.com/data/working-files/a24a6ea4-ce75-4665-a070-57453082c25" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"name": "updated_work_file_v001",
"revision": 2
}'
import requests
url = "http://api.example.com/data/working-files/a24a6ea4-ce75-4665-a070-57453082c25"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json",
"Content-Type": "application/json"
}
params = {}
payload = {
"name": "updated_work_file_v001",
"revision": 2
}
response = requests.put(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
Request examples
{
"name": "updated_work_file_v001",
"revision": 2,
"validation_status": "validated"
}
Response examples (200)
{
"id": "a24a6ea4-ce75-4665-a070-57453082c250",
"name": "updated_work_file_v001",
"task_id": "b24a6ea4-ce75-4665-a070-57453082c250",
"entity_id": "c24a6ea4-ce75-4665-a070-57453082c250",
"revision": 2,
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T11:00:00Z"
}